## mpack 1.5

=== Makefile ===
CFLAGS=$(OPT) $(DEFINES)
OPT=-O


#Uncomment the following line if your system does not have strchr()
#DEFINES=-Dstrchr=index -Dstrrchr=rindex


#Uncomment the following lines to compile on SCO Unix
#OPT=-O2
#DEFINES=-DSCO
#CC=gcc
#LIBS=-lsocket


#Uncomment the following line on SunOS 4
#LIBS=-lresolv

#Uncomment the following on Solaris 2
#LIBS=-lsocket -lnsl -lresolv

#Uncomment the following lines on SVR4
#LIBS=-lsocket -lnsl


PACKOBJS = unixpk.o encode.o codes.o magic.o unixos.o string.o \
		xmalloc.o md5c.o getopt.o
UNPACKOBJS = unixunpk.o decode.o uudecode.o codes.o unixos.o string.o \
		part.o xmalloc.o md5c.o getopt.o

DESTDIR=/usr/local

all: mpack munpack

mpack: $(PACKOBJS)
	$(CC) $(CFLAGS) -o mpack $(PACKOBJS) $(LIBS)

munpack: $(UNPACKOBJS)
	$(CC) $(CFLAGS) -o munpack $(UNPACKOBJS) $(LIBS)

install: all
	-mkdir $(DESTDIR)/bin
	-mkdir $(DESTDIR)/man
	-mkdir $(DESTDIR)/man/man1
	install -s -m 755 mpack $(DESTDIR)/bin
	install -s -m 755 munpack $(DESTDIR)/bin
	install -m 644 unixpk.man $(DESTDIR)/man/man1/mpack.1
	install -m 644 unixunpk.man $(DESTDIR)/man/man1/munpack.1

clean:
	rm -f *.o mpack munpack

readme:
	./mkreadme.pl unix >README.unix
	./mkreadme.pl dos >README.dos
	./mkreadme.pl os2 >README.os2
	./mkreadme.pl mac >README.mac
	./mkreadme.pl amiga >README.amiga
	./mkreadme.pl arc archimedes >README.arc

l_pack:
	#load unixpk.c encode.c codes.c magic.c unixos.c string.c \
		xmalloc.c md5c.c getopt.c

l_unpack:
	#load unixunpk.c decode.c uudecode.c codes.c unixos.c string.c \
		xmalloc.c md5c.c getopt.c

depend:
	grep '^#[ 	]*include[ 	]*"' *.[ch] | \
	sed -e 's/:[^"]*"\([^"]*\)"/:	\1/' -e 's/\.c/.o/' | \
	awk ' { if ($$1 != prev) { print rec; rec = $$0; prev = $$1; } \
		else { if (length(rec $$2) > 78) { print rec; rec = $$0; } \
		       else rec = rec " " $$2 } } \
	      END { print rec } ' > makedep
	echo '/^# DO NOT DELETE THIS LINE/+2,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp Makefile Makefile.bak
	ed - Makefile < eddep
	rm eddep makedep
	echo '' >> Makefile
	echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	echo '# see make depend above' >> Makefile

# DO NOT DELETE THIS LINE -- make depend uses it


codes.o:	xmalloc.h md5.h
decode.o:	xmalloc.h common.h
dosos.o:	xmalloc.h common.h
dospk.o:	version.h xmalloc.h
dosunpk.o:	version.h
macmpack.o:	macnapp.h macmpack.h version.h
macnapp.o:	macnapp.h
macnclip.o:	macnapp.h
macndlog.o:	macnapp.h
macninit.o:	macnapp.h
macnte.o:	macnapp.h
macos.o:	common.h macnapp.h macmpack.h
macpcstr.o:	macnapp.h
md5c.o:	md5.h
unixos.o:	xmalloc.h common.h
unixpk.o:	common.h version.h xmalloc.h
unixunpk.o:	version.h
uudecode.o:	xmalloc.h common.h

# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above

## mpack 1.6

=== debian/changelog ===
mpack (1.6-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use "gzip -n" in debian/rules for reproducible results. (Closes: #777376)
    Thanks to Chris Lamb for the patch!

 -- Holger Levsen <holger@debian.org>  Wed, 13 Sep 2017 20:22:05 +0200

mpack (1.6-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not specify bzip2 compressor to dh_builddeb
    (Closes: #833230)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 11 Nov 2016 16:17:54 +0000

mpack (1.6-8) unstable; urgency=low

  * CVE-2011-4919 - Fix permissions
    Patch by Sebastian Pipping
    Add patch 02-655971-fix-permissions.patch
    Closes: #655971
  * Standards version is 3.9.3
  * Use hardening options

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Jun 2012 09:02:03 +1000

mpack (1.6-7) unstable; urgency=low

  * Standards-Version is 3.9.2
  * Fix debian-rules-missing-recommended-target
  * Debian source format is 3.0 (quilt)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Nov 2011 09:40:28 +1100

mpack (1.6-6) unstable; urgency=low

  * Priority is optional; closes: #416569 
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 23 Sep 2008 19:24:06 +1000

mpack (1.6-5) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3
  * Added homepage control header
  * Fixed the following lintian message:
    - debian-rules-ignores-make-clean-error

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 30 Mar 2008 09:36:55 +1000

mpack (1.6-4) unstable; urgency=low

  * Fixed "munpack no longer preserves filename". Closes: #212283, #356457.
    Patch by Ian Bygrave <ian@bygrave.me.uk>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 22 Jul 2006 13:42:22 +1000

mpack (1.6-3) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Fixed "New option -a", closes: #184506. Patch by
    James A Morrison <ja2morri@student.math.uwaterloo.ca>. 
  * Fixed "mpack -o /dev/stdout", closes: #303952.
    Patch by "Sven Rudolph" <rudsve@drewag.de>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 25 Jun 2006 09:44:26 +1000

mpack (1.6-2) unstable; urgency=low

  * New maintainer, closes: #353129.
  * ACKed NMUs.
    - "NMU patch", closes: #321685.
    - "FTBFS with gcc-3.4: conflicting types for 'malloc'", closes: #260652.
    - "implicit function declarations are evil", closes: #153187.
    - "Please remove inewsinn from Suggests", closes: #243737.
    - "'man munpack' typo: Supresses", closes: #311460.
  * Fixed the following linda errors:
    - E: mpack; Binary /usr/bin/mpack contains unneeded section comment.
    - E: mpack; Binary /usr/bin/munpack contains unneeded section comment.
  * Set priority to standard and added homepage to description.
  * Added watch file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 17 Feb 2006 08:13:08 +1100

mpack (1.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch by Daniel Schepler (based on earlier patches
    by Roger Leigh and Andreas Jochens) to fix FTBFS with
    gcc 4.0 (Closes: #260652) and other code problems
    (Closes: #153187)
  * Change priority to optional, I see no reason why this should be
    standard.
  * Remove inewsinn from suggests as it isn't in the archive anymore
    (Closes: #243737)
  * Fix typo in munpack man page (Closes: #311460)
  * Bump Standards-Version to 3.6.2 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  6 Aug 2005 23:12:56 +0200

mpack (1.6-1) unstable; urgency=low

  * New upstream version, incorporating a number of Debian patches.
  * Forward ported Debian patches:
      - /usr/tmp to /var/tmp
      - unixpk.c: Don't declare extern int errno
  * munpack: Mention -t in usage info.  Closes: #182825, reported by
    Dan Jacobson.
  * Minor changes to function prototypes to fix the more alarming warnings.
  * Invoke configure instead of just make, now that upstream uses autoconf.
  * debian/rules: clean now deletes some autoconf junk.
  * debian/rules: update DEB_BUILD_OPTIONS support to noopt and nostrip.
  * debian/control: Recommend uudeview instead.
  * Dropped postinst and prerm, since /usr/doc symlinks are no longer needed.
  * debian/control: Update to standards version 3.6.0.

 -- Richard Braakman <dark@xs4all.nl>  Fri, 25 Jul 2003 19:35:28 +0300

mpack (1.5-9) unstable; urgency=low

  * Handle empty parameter lists without crashing, such as in
    "Content-Type: text/plain;".  Thanks to Henry Grebler for
    finding this bug.
  * [SECURITY] Do not accept disposition filenames like "../a".
    Security impact is limited because only a single leading "../"
    was accepted.  (closes #134210, reported by Herbert Xu)

 -- Richard Braakman <dark@xs4all.nl>  Wed, 17 Jul 2002 12:01:31 +0300

mpack (1.5-8) unstable; urgency=high

  * [SECURITY] Fix buffer overflows in parsing of MIME headers.
  * Removed emacs variables from the end of this changelog file.

 -- Richard Braakman <dark@xs4all.nl>  Tue, 16 Jul 2002 01:50:55 +0300

mpack (1.5-7) unstable; urgency=low

  * Only declare "extern int errno" if errno is not a macro.

 -- Richard Braakman <dark@xs4all.nl>  Sun, 20 May 2001 19:30:45 +0300

mpack (1.5-6) unstable; urgency=low

  * Made /var/tmp the default temp directory for mpack, just like
    it is for munpack.  It used to be /tmp.  Also fixed the mpack
    manpage, which used to say /usr/tmp.  Spotted by Alex King.
    (closes #81997)
  * Moved manpages to /usr/share.
  * Made debian/rules sensitive to DEB_BUILD_OPTIONS environment variable.
  * Moved documentation to /usr/share/doc/mpack.
  * debian/postinst, prerm: Handle compatibility symlink /usr/doc/mpack.
  * Set Standards-Version to 3.2.1.

 -- Richard Braakman <dark@xs4all.nl>  Sun, 28 Jan 2001 12:31:17 +0200

mpack (1.5-5) unstable; urgency=low

  * Removed README.Debian and moved some bits of it to the copyright file.
  * Standards-Version 2.4.0.0.

 -- Richard Braakman <dark@xs4all.nl>  Sat,  7 Feb 1998 12:39:11 +0100



=== debian/control ===
Source: mpack
Section: mail
Priority: optional
Build-Depends: dpkg-dev (>= 1.16.1~)
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.9.3
Homepage: ftp://ftp.andrew.cmu.edu/pub/mpack/

Package: mpack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mail-transport-agent, inews
Description: tools for encoding/decoding MIME messages
 Mpack and munpack are utilities for encoding and decoding
 (respectively) binary files in MIME (Multipurpose Internet
 Mail Extensions) format mail messages. For compatibility
 with older forms of transferring binary files, the munpack
 program can also decode messages in split-uuencoded format.

=== debian/rules ===
#!/usr/bin/make -f

DEBDIR = debian/tmp/DEBIAN
BINDIR = debian/tmp/usr/bin
MANDIR = debian/tmp/usr/share/man
DOCDIR = debian/tmp/usr/share/doc/mpack

ifeq (,$(findstring noopt,${DEB_BUILD_OPTIONS}))
	OPT = -O2
endif

STRIP = strip --remove-section=.comment --remove-section=.note

export DEB_HOST  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += ${OPT} -g -Wall

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	test -f debian/rules
	./configure --prefix=/usr --build ${DEB_BUILD} --host ${DEB_BUILD}
	make CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch build

clean:
	test -f debian/rules
	-rm -f build
	[ ! -f Makefile ] || $(MAKE) clean
	-rm -f debian/*~ core
	-rm -f config.log config.cache config.status Makefile
	-rm -f mpack.1 munpack.1
	-rm -rf debian/tmp debian/files* debian/substvars

binary-indep:

binary-arch: build
	test root = "`whoami`"
	test -f debian/rules
	-rm -rf debian/tmp
# programs
	install -d ${BINDIR}
	${STRIP} mpack
	${STRIP} munpack
	install -m 755 mpack ${BINDIR}
	install -m 755 munpack ${BINDIR}
# manpages
	install -d ${MANDIR}/man1
	install -p -m 644 unixpk.man ${MANDIR}/man1/mpack.1
	install -p -m 644 unixunpk.man ${MANDIR}/man1/munpack.1
	gzip -9n ${MANDIR}/man1/*.1
# documentation
	install -d ${DOCDIR}
	install -p -m 644 README.unix ${DOCDIR}
	install -p -m 644 debian/changelog ${DOCDIR}/changelog.Debian
	gzip -9n ${DOCDIR}/*
	install -p -m 644 debian/copyright ${DOCDIR}
# control files
	install -d ${DEBDIR}
	dpkg-shlibdeps ${BINDIR}/*
	dpkg-gencontrol -isp
	dpkg-deb --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=2
ftp://ftp.andrew.cmu.edu/pub/mpack/mpack-([0-9.]+).tar.gz
